aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBart Ribbers <bribbers@disroot.org>2019-12-19 13:45:36 +0100
committerRasmus Thomsen <oss@cogitri.dev>2020-01-04 20:03:01 +0100
commitd33b26afd532c021810d466a6c1a229d6e187ca3 (patch)
tree37f7eaaf815ae3bc4c570855a30a684481f52d3d
parentca1961dea4e1ac1ed068861608889799117ff5ef (diff)
downloadaports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.gz
aports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.bz2
aports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.xz
community/qt5-qtdeclarative: disable on armhf
It is broken currently (and probably forever), upstream bug report https://bugreports.qt.io/browse/QTBUG-65246 Disable armhf for all packages that depend on qt5-qtdeclarative in one way or another
-rw-r--r--community/baloo/APKBUILD2
-rw-r--r--community/bluedevil/APKBUILD2
-rw-r--r--community/bluez-qt/APKBUILD2
-rw-r--r--community/calindori/APKBUILD2
-rw-r--r--community/discover/APKBUILD2
-rw-r--r--community/falkon/APKBUILD2
-rw-r--r--community/gns3-gui/APKBUILD13
-rw-r--r--community/gst-plugins-good/APKBUILD6
-rw-r--r--community/kactivities-stats/APKBUILD2
-rw-r--r--community/kactivities/APKBUILD2
-rw-r--r--community/kaidan/APKBUILD6
-rw-r--r--community/kdeclarative/APKBUILD2
-rw-r--r--community/kdeconnect/APKBUILD2
-rw-r--r--community/kdeplasma-addons/APKBUILD6
-rw-r--r--community/kholidays/APKBUILD2
-rw-r--r--community/ki18n/APKBUILD2
-rw-r--r--community/kirigami2/APKBUILD2
-rw-r--r--community/knewstuff/APKBUILD2
-rw-r--r--community/kpeople/APKBUILD2
-rw-r--r--community/kquickcharts/APKBUILD2
-rw-r--r--community/kwin/APKBUILD2
-rw-r--r--community/latte-dock/APKBUILD2
-rw-r--r--community/libqofono/APKBUILD2
-rw-r--r--community/milou/APKBUILD2
-rw-r--r--community/okular/APKBUILD2
-rw-r--r--community/phonon/APKBUILD6
-rw-r--r--community/plasma-angelfish/APKBUILD2
-rw-r--r--community/plasma-applet-weather-widget/APKBUILD2
-rw-r--r--community/plasma-desktop/APKBUILD2
-rw-r--r--community/plasma-framework/APKBUILD2
-rw-r--r--community/plasma-nm/APKBUILD4
-rw-r--r--community/plasma-pa/APKBUILD2
-rw-r--r--community/plasma-sdk/APKBUILD2
-rw-r--r--community/plasma-thunderbolt/APKBUILD2
-rw-r--r--community/plasma-workspace/APKBUILD2
-rw-r--r--community/print-manager/APKBUILD2
-rw-r--r--community/prison/APKBUILD2
-rw-r--r--community/pulseaudio-qt/APKBUILD2
-rw-r--r--community/purpose/APKBUILD2
-rw-r--r--community/py3-qt5/APKBUILD4
-rw-r--r--community/py3-qtwebengine/APKBUILD6
-rw-r--r--community/qqc2-desktop-style/APKBUILD2
-rw-r--r--community/qt5-qtdeclarative/APKBUILD14
-rw-r--r--community/qt5-qtgraphicaleffects/APKBUILD14
-rw-r--r--community/qt5-qtlocation/APKBUILD14
-rw-r--r--community/qt5-qtmultimedia/APKBUILD15
-rw-r--r--community/qt5-qtquickcontrols/APKBUILD15
-rw-r--r--community/qt5-qtquickcontrols2/APKBUILD14
-rw-r--r--community/qt5-qtsensors/APKBUILD14
-rw-r--r--community/qt5-qtvirtualkeyboard/APKBUILD10
-rw-r--r--community/qt5-qtwayland/APKBUILD10
-rw-r--r--community/qt5-qtwebchannel/APKBUILD14
-rw-r--r--community/qt5-qtwebengine/APKBUILD22
-rw-r--r--community/qt5-qtwebkit/APKBUILD32
-rw-r--r--community/qt5-qtxmlpatterns/APKBUILD14
-rw-r--r--community/sddm-kcm/APKBUILD2
-rw-r--r--community/sddm/APKBUILD4
-rw-r--r--community/solid/APKBUILD2
-rw-r--r--community/systemsettings/APKBUILD2
-rw-r--r--community/threadweaver/APKBUILD2
-rw-r--r--testing/alkimia/APKBUILD4
-rw-r--r--testing/analitza/APKBUILD2
-rw-r--r--testing/artikulate/APKBUILD2
-rw-r--r--testing/elektra/APKBUILD20
-rw-r--r--testing/git-cola/APKBUILD4
-rw-r--r--testing/imgbrd-grabber/APKBUILD6
-rw-r--r--testing/kaccounts-providers/APKBUILD27
-rw-r--r--testing/kalgebra/APKBUILD4
-rw-r--r--testing/kamoso/APKBUILD4
-rw-r--r--testing/kanagram/APKBUILD2
-rw-r--r--testing/khangman/APKBUILD2
-rw-r--r--testing/kirigami-gallery/APKBUILD4
-rw-r--r--testing/kitinerary/APKBUILD2
-rw-r--r--testing/krita/APKBUILD2
-rw-r--r--testing/ktouch/APKBUILD2
-rw-r--r--testing/libkdegames/APKBUILD2
-rw-r--r--testing/marble/APKBUILD4
-rw-r--r--testing/mellowplayer/APKBUILD2
-rw-r--r--testing/minuet/APKBUILD2
-rw-r--r--testing/nemo-qml-plugin-dbus/APKBUILD2
-rw-r--r--testing/okteta/APKBUILD2
-rw-r--r--testing/py3-pyotherside/APKBUILD2
-rw-r--r--testing/py3-qtpy/APKBUILD29
-rw-r--r--testing/qmlrunner/APKBUILD2
-rw-r--r--testing/qownnotes/APKBUILD22
-rw-r--r--testing/qt-creator/APKBUILD2
-rw-r--r--testing/qutebrowser/APKBUILD2
-rw-r--r--testing/vidcutter/APKBUILD4
-rw-r--r--testing/yubikey-manager-qt/APKBUILD2
89 files changed, 238 insertions, 261 deletions
diff --git a/community/baloo/APKBUILD b/community/baloo/APKBUILD
index d1545edbe0..3f749a6959 100644
--- a/community/baloo/APKBUILD
+++ b/community/baloo/APKBUILD
@@ -4,7 +4,7 @@ pkgname=baloo
pkgver=5.65.0
pkgrel=0
pkgdesc="A framework for searching and managing metadata"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later AND (LGPL-2.1-only OR LGPL-3.0-only)"
depends_dev="qt5-qtdeclarative-dev lmdb-dev kcoreaddons-dev kconfig-dev kdbusaddons-dev ki18n-dev kidletime-dev solid-dev kfilemetadata-dev kcrash-dev kio-dev kservice-dev kbookmarks-dev kcompletion-dev kjobwidgets-dev"
diff --git a/community/bluedevil/APKBUILD b/community/bluedevil/APKBUILD
index 76c43cd51e..8502fc8f87 100644
--- a/community/bluedevil/APKBUILD
+++ b/community/bluedevil/APKBUILD
@@ -4,7 +4,7 @@ pkgname=bluedevil
pkgver=5.17.4
pkgrel=0
pkgdesc="Integrate the Bluetooth technology within KDE workspace and applications"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-only)"
depends="kded bluez"
diff --git a/community/bluez-qt/APKBUILD b/community/bluez-qt/APKBUILD
index 01b566d88f..0e4a3866fc 100644
--- a/community/bluez-qt/APKBUILD
+++ b/community/bluez-qt/APKBUILD
@@ -3,7 +3,7 @@
pkgname=bluez-qt
pkgver=5.65.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
pkgdesc="Qt wrapper for Bluez 5 DBus API"
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later"
diff --git a/community/calindori/APKBUILD b/community/calindori/APKBUILD
index ee023b1066..01d6f5e880 100644
--- a/community/calindori/APKBUILD
+++ b/community/calindori/APKBUILD
@@ -4,7 +4,7 @@ pkgname=calindori
pkgver=1.0
pkgrel=0
pkgdesc="Calendar for Plasma Mobile"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://invent.kde.org/kde/calindori"
license="GPL-2.0-or-later"
depends="qt5-qtquickcontrols2 kirigami2"
diff --git a/community/discover/APKBUILD b/community/discover/APKBUILD
index 18fa485ce4..83430f3c0f 100644
--- a/community/discover/APKBUILD
+++ b/community/discover/APKBUILD
@@ -3,7 +3,7 @@
pkgname=discover
pkgver=5.17.4
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://userbase.kde.org/Discover"
pkgdesc="KDE Plasma resources management GUI"
license="LGPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
diff --git a/community/falkon/APKBUILD b/community/falkon/APKBUILD
index 0f75050770..b36a8636e3 100644
--- a/community/falkon/APKBUILD
+++ b/community/falkon/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.1.0
pkgrel=1
pkgdesc="Cross-platform Qt Web Browser"
url="https://github.com/KDE/falkon"
-arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine, armhf blocked by qt5-qtdeclarative
license="GPL-3.0-or-later"
depends="qt5-qtbase-sqlite"
makedepends="cmake python3 qt5-qtbase-dev extra-cmake-modules qt5-qtdeclarative-dev
diff --git a/community/gns3-gui/APKBUILD b/community/gns3-gui/APKBUILD
index 5eaeba2b3b..1a4ac3fff4 100644
--- a/community/gns3-gui/APKBUILD
+++ b/community/gns3-gui/APKBUILD
@@ -5,14 +5,13 @@ pkgver=2.2.3
pkgrel=1
pkgdesc="GNS3 network simulator. Graphical user interface package."
url="https://github.com/GNS3/gns3-gui"
-arch="noarch"
-license="GPL-3.0"
+arch="noarch !armhf" # armhf blocked by py3-qt5 -> qt5-qtdeclarative
+license="GPL-3.0-or-later"
depends="python3 py3-psutil-gns3 py3-jsonschema-gns3 py3-raven
py3-qt5 qt5-qtsvg py3-sip"
makedepends="python3-dev py-setuptools"
subpackages="$pkgname-doc"
-source="${pkgname}-${pkgver}.tar.gz::https://github.com/GNS3/${pkgname}/archive/v${pkgver}.tar.gz"
-builddir="$srcdir"/$pkgname-$pkgver
+source="$pkgname-$pkgver.tar.gz::https://github.com/GNS3/gns3-gui/archive/v$pkgver.tar.gz"
build() {
python3 setup.py build
@@ -23,9 +22,9 @@ check() {
}
package() {
- python3 setup.py install --root=${pkgdir} --optimize=1
- install -Dm644 ${srcdir}/${pkgname}-${pkgver}/resources/images/gns3_icon_256x256.png ${pkgdir}/usr/share/pixmaps/gns3.png
- install -Dm644 ${srcdir}/${pkgname}-${pkgver}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+ python3 setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 "$builddir"/resources/images/gns3_icon_256x256.png "$pkgdir"/usr/share/pixmaps/gns3.png
+ install -Dm644 "$builddir"/LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
sha512sums="8216f5d2e5ed44655254a6a457ec5073e44f6266ec77c1a80d1695eb6939dc5594d066a84b501b94ab8124a55d8a74ebec39b6e2c9c2378e85c03aa91413d433 gns3-gui-2.2.3.tar.gz"
diff --git a/community/gst-plugins-good/APKBUILD b/community/gst-plugins-good/APKBUILD
index 8b415e4ee4..a8fa9d0708 100644
--- a/community/gst-plugins-good/APKBUILD
+++ b/community/gst-plugins-good/APKBUILD
@@ -4,7 +4,7 @@ pkgver=1.16.2
pkgrel=0
pkgdesc="GStreamer streaming media framework good plug-ins"
url="https://gstreamer.freedesktop.org"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-2.0-or-later LGPL-2.0-or-later"
subpackages="$pkgname-lang $pkgname-qt $pkgname-gtk"
replaces="gst-plugins-good1"
@@ -60,7 +60,7 @@ _mv() {
qt() {
pkgdesc="Gstreamer Qt plug-in"
- for i in $(find "$pkgdir" -type f ); do
+ find "$pkgdir" -type f | while read -r i; do
if ldd $i 2>/dev/null | grep -q "libQt"; then
_mv "$i"
fi
@@ -69,7 +69,7 @@ qt() {
gtk() {
pkgdesc="Gstreamer gtk-3 plug-in"
- for i in $(find "$pkgdir" -type f ); do
+ find "$pkgdir" -type f | while read -r i; do
if ldd $i 2>/dev/null | grep -q "libgtk-3"; then
_mv "$i"
fi
diff --git a/community/kactivities-stats/APKBUILD b/community/kactivities-stats/APKBUILD
index 3313e16f55..dc107ed7b8 100644
--- a/community/kactivities-stats/APKBUILD
+++ b/community/kactivities-stats/APKBUILD
@@ -3,7 +3,7 @@
pkgname=kactivities-stats
pkgver=5.65.0
pkgrel=1
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
pkgdesc="A library for accessing the usage data collected by the activities system"
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-only OR LGPL-3.0-only"
diff --git a/community/kactivities/APKBUILD b/community/kactivities/APKBUILD
index 1689c62fc7..03957e248b 100644
--- a/community/kactivities/APKBUILD
+++ b/community/kactivities/APKBUILD
@@ -3,7 +3,7 @@
pkgname=kactivities
pkgver=5.65.0
pkgrel=1
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
pkgdesc="Core components for the KDE's Activities"
url="https://community.kde.org/Frameworks"
license="GPL-2.0-or-later AND LGPL-2.1-or-later AND (LGPL-2.1-only OR LGPL-3.0-only)"
diff --git a/community/kaidan/APKBUILD b/community/kaidan/APKBUILD
index 9633b51cff..ea723bc929 100644
--- a/community/kaidan/APKBUILD
+++ b/community/kaidan/APKBUILD
@@ -2,11 +2,11 @@
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kaidan
pkgver=0.4.1
-pkgrel=0
+pkgrel=1
pkgdesc="Kaidan, a simple and user-friendly Jabber/XMPP client for every device and platform"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://invent.kde.org/kde/kaidan"
-license="GPL-3.0-or-later with OpenSSL exception, GPL-3.0-or-later, MIT, CC-BY-SA-4.0"
+license="GPL-3.0-or-later-with-openssl-exception AND GPL-3.0-or-later AND MIT AND AND Apache-2.0 AND CC-BY-SA-4.0 AND CC-BY-SA-3.0"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev qt5-qtquickcontrols2-dev qt5-qttools-dev kirigami2-dev knotifications-dev qxmpp-dev"
source="https://download.kde.org/stable/kaidan/$pkgver/kaidan-$pkgver.tar.xz"
diff --git a/community/kdeclarative/APKBUILD b/community/kdeclarative/APKBUILD
index 8baa54cb5f..2136a6a198 100644
--- a/community/kdeclarative/APKBUILD
+++ b/community/kdeclarative/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kdeclarative
pkgver=5.65.0
pkgrel=0
pkgdesc="Provides integration of QML and KDE Frameworks"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later"
depends_dev="qt5-qtdeclarative-dev kconfig-dev ki18n-dev kiconthemes-dev kio-dev kwidgetsaddons-dev kwindowsystem-dev kglobalaccel-dev kguiaddons-dev kpackage-dev libepoxy-dev"
diff --git a/community/kdeconnect/APKBUILD b/community/kdeconnect/APKBUILD
index 93881baef3..855124afaf 100644
--- a/community/kdeconnect/APKBUILD
+++ b/community/kdeconnect/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.4
pkgrel=1
pkgdesc="Adds communication between KDE and your smartphone"
url="https://community.kde.org/KDEConnect"
-arch="all"
+arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
license="GPL-2.0-only OR GPL-3.0-only"
depends="kirigami2 sshfs"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtmultimedia-dev ki18n-dev kconfigwidgets-dev kdbusaddons-dev kiconthemes-dev knotifications-dev kio-dev kcmutils-dev kservice-dev kirigami2-dev kpeople-dev kdoctools-dev qca-dev pulseaudio-qt kpeoplevcard-dev"
diff --git a/community/kdeplasma-addons/APKBUILD b/community/kdeplasma-addons/APKBUILD
index c34c56f9b7..684d4f2b0d 100644
--- a/community/kdeplasma-addons/APKBUILD
+++ b/community/kdeplasma-addons/APKBUILD
@@ -2,9 +2,9 @@
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdeplasma-addons
pkgver=5.17.4
-pkgrel=0
-pkgdesc="All kind of addons to improve your Plasma experience "
-arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
+pkgrel=1
+pkgdesc="All kind of addons to improve your Plasma experience"
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine, armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.0-only AND GPL-2.0-or-later"
depends="purpose"
diff --git a/community/kholidays/APKBUILD b/community/kholidays/APKBUILD
index 832ae7c44a..6247fd531b 100644
--- a/community/kholidays/APKBUILD
+++ b/community/kholidays/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kholidays
pkgver=5.65.0
pkgrel=0
pkgdesc="Support for icon themes"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev"
diff --git a/community/ki18n/APKBUILD b/community/ki18n/APKBUILD
index 2c5629b34f..f40234bf72 100644
--- a/community/ki18n/APKBUILD
+++ b/community/ki18n/APKBUILD
@@ -4,7 +4,7 @@ pkgname=ki18n
pkgver=5.65.0
pkgrel=0
pkgdesc="Advanced internationalization framework"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-or-later)"
depends_dev="qt5-qtdeclarative-dev qt5-qtscript-dev"
diff --git a/community/kirigami2/APKBUILD b/community/kirigami2/APKBUILD
index 5884dc0f8b..f433d3d991 100644
--- a/community/kirigami2/APKBUILD
+++ b/community/kirigami2/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kirigami2
pkgver=5.65.0
pkgrel=0
pkgdesc="A QtQuick based components set"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.0-only"
depends="qt5-qtgraphicaleffects"
diff --git a/community/knewstuff/APKBUILD b/community/knewstuff/APKBUILD
index e145673b30..27f17891fd 100644
--- a/community/knewstuff/APKBUILD
+++ b/community/knewstuff/APKBUILD
@@ -4,7 +4,7 @@ pkgname=knewstuff
pkgver=5.65.0
pkgrel=0
pkgdesc="Framework for downloading and sharing additional application data"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later"
depends="kirigami2"
diff --git a/community/kpeople/APKBUILD b/community/kpeople/APKBUILD
index d7dcb026b0..5991d4b727 100644
--- a/community/kpeople/APKBUILD
+++ b/community/kpeople/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kpeople
pkgver=5.65.0
pkgrel=0
pkgdesc="A library that provides access to all contacts and the people who hold them"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later"
depends_dev="qt5-qtdeclarative-dev kcoreaddons-dev kwidgetsaddons-dev ki18n-dev kitemviews-dev kservice-dev"
diff --git a/community/kquickcharts/APKBUILD b/community/kquickcharts/APKBUILD
index 7964155f96..62fdaaaa90 100644
--- a/community/kquickcharts/APKBUILD
+++ b/community/kquickcharts/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kquickcharts
pkgver=5.65.0
pkgrel=0
pkgdesc="A QtQuick plugin providing high-performance charts"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-only OR LGPL-3.0-only"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtquickcontrols2-dev"
diff --git a/community/kwin/APKBUILD b/community/kwin/APKBUILD
index c669fc42ab..9bc43de1eb 100644
--- a/community/kwin/APKBUILD
+++ b/community/kwin/APKBUILD
@@ -4,7 +4,7 @@ pkgname=kwin
pkgver=5.17.4
pkgrel=0
pkgdesc="An easy to use, but flexible, composited Window Manager"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND LGPL-2.1-only"
depends="qt5-qtwayland qt5-qtmultimedia kirigami2 xorg-server-xwayland"
diff --git a/community/latte-dock/APKBUILD b/community/latte-dock/APKBUILD
index 37ff8c84e1..bcc291524d 100644
--- a/community/latte-dock/APKBUILD
+++ b/community/latte-dock/APKBUILD
@@ -3,7 +3,7 @@
pkgname=latte-dock
pkgver=0.9.7
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://store.kde.org/p/1169519/"
pkgdesc="A dock based on Plasma Frameworks"
license="LGPL-2.0-or-later AND GPL-2.0-or-later"
diff --git a/community/libqofono/APKBUILD b/community/libqofono/APKBUILD
index be62fdb73a..700721289c 100644
--- a/community/libqofono/APKBUILD
+++ b/community/libqofono/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.99
pkgrel=0
pkgdesc="A library for accessing the ofono daemon, and a Qt declarative plugin for it"
url="https://git.merproject.org/mer-core/libqofono/"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="LGPL-2.1-or-later"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev"
makedepends="$depends_dev"
diff --git a/community/milou/APKBUILD b/community/milou/APKBUILD
index aef34e1f80..02a7b93981 100644
--- a/community/milou/APKBUILD
+++ b/community/milou/APKBUILD
@@ -4,7 +4,7 @@ pkgname=milou
pkgver=5.17.4
pkgrel=0
pkgdesc="A dedicated search application built on top of Baloo"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only OR LGPL-3.0-only)"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev ki18n-dev kdeclarative-dev kservice-dev plasma-framework-dev krunner-dev kitemmodels-dev"
diff --git a/community/okular/APKBUILD b/community/okular/APKBUILD
index a20e27f5df..e730856514 100644
--- a/community/okular/APKBUILD
+++ b/community/okular/APKBUILD
@@ -3,7 +3,7 @@
pkgname=okular
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
url="https://kde.org/applications/office/org.kde.okular"
pkgdesc="A universal document viewer"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
diff --git a/community/phonon/APKBUILD b/community/phonon/APKBUILD
index bb45ecab32..d999e8b857 100644
--- a/community/phonon/APKBUILD
+++ b/community/phonon/APKBUILD
@@ -2,10 +2,10 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=phonon
pkgver=4.11.1
-pkgrel=0
+pkgrel=1
pkgdesc="KDE multimedia backend"
url="https://phonon.kde.org/"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="LGPL-2.1-or-later"
depends_dev="qt5-qtdeclarative-dev glib-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qtbase-dev qt5-qttools-dev"
@@ -15,7 +15,7 @@ options="!check" # No test configuration file found!
build() {
cmake \
- -DCMAKE_BUILD_TYPE=RelWithDebugInfo \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE \
diff --git a/community/plasma-angelfish/APKBUILD b/community/plasma-angelfish/APKBUILD
index d9131aceb1..46ea664419 100644
--- a/community/plasma-angelfish/APKBUILD
+++ b/community/plasma-angelfish/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-angelfish
pkgver=1.3.0
pkgrel=0
pkgdesc="Small Webbrowser for Plasma Mobile"
-arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine, armhf blocked by kirigami2 -> qt5-qtdeclarative-dev
url="https://phabricator.kde.org/source/plasma-angelfish/"
license="GPL-3.0-or-later"
depends="kirigami2 plasma-framework purpose"
diff --git a/community/plasma-applet-weather-widget/APKBUILD b/community/plasma-applet-weather-widget/APKBUILD
index 28f7fde490..6ecf764e24 100644
--- a/community/plasma-applet-weather-widget/APKBUILD
+++ b/community/plasma-applet-weather-widget/APKBUILD
@@ -3,7 +3,7 @@
pkgname=plasma-applet-weather-widget
pkgver=1.6.10
pkgrel=2
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.linux-apps.com/content/show.php/Weather+Widget?content=169572"
pkgdesc="Plasmoid for showing weather information from yr.no and Open Weather Map servers"
license="GPL-2.0-only"
diff --git a/community/plasma-desktop/APKBUILD b/community/plasma-desktop/APKBUILD
index 179adf7124..a826e22cc7 100644
--- a/community/plasma-desktop/APKBUILD
+++ b/community/plasma-desktop/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-desktop
pkgver=5.17.4
pkgrel=0
pkgdesc="KDE Plasma Desktop"
-arch="all" # Limited by plasma-workspace -> libksysguard -> qt5-qtwebengine
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url='https://www.kde.org/workspaces/plasmadesktop/'
license="GPL-2.0-only AND LGPL-2.1-only"
depends="kirigami2 plasma-workspace setxkbmap qqc2-desktop-style"
diff --git a/community/plasma-framework/APKBUILD b/community/plasma-framework/APKBUILD
index 3c21fd651a..0333c94d10 100644
--- a/community/plasma-framework/APKBUILD
+++ b/community/plasma-framework/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-framework
pkgver=5.65.0
pkgrel=0
pkgdesc="Plasma library and runtime components based upon KF5 and Qt5"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later AND GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtquickcontrols2-dev kactivities-dev karchive-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev kdeclarative-dev kglobalaccel-dev kguiaddons-dev ki18n-dev kiconthemes-dev kio-dev kservice-dev kwindowsystem-dev kxmlgui-dev knotifications-dev kpackage-dev kirigami2-dev kwayland-dev"
diff --git a/community/plasma-nm/APKBUILD b/community/plasma-nm/APKBUILD
index 0c5f1dc53e..e014f1ecaa 100644
--- a/community/plasma-nm/APKBUILD
+++ b/community/plasma-nm/APKBUILD
@@ -4,9 +4,9 @@ pkgname=plasma-nm
pkgver=5.17.4
pkgrel=1
pkgdesc="Plasma applet written in QML for managing network connections"
-arch="all !s390x" # Limited by networkmanager -> iwd
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
-license="GPL-2.0"
+license="(LGPL-2.1-only OR LGPL-3.0-only) AND LGPL-2.0-or-later"
depends="kirigami2 networkmanager"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev ki18n-dev kwindowsystem-dev kservice-dev kcompletion-dev kwidgetsaddons-dev kio-dev kcoreaddons-dev kwallet-dev kconfigwidgets-dev kiconthemes-dev solid-dev kdbusaddons-dev knotifications-dev plasma-framework-dev kdeclarative-dev qca-dev networkmanager-qt-dev modemmanager-qt-dev mobile-broadband-provider-info"
source="https://download.kde.org/stable/plasma/$pkgver/plasma-nm-$pkgver.tar.xz"
diff --git a/community/plasma-pa/APKBUILD b/community/plasma-pa/APKBUILD
index 6d9506fd40..98762f5c52 100644
--- a/community/plasma-pa/APKBUILD
+++ b/community/plasma-pa/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-pa
pkgver=5.17.4
pkgrel=0
pkgdesc="Plasma applet for audio volume management using PulseAudio"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-only OR LGPL-3.0-only AND GPL-2.0-only"
depends="pulseaudio kirigami2"
diff --git a/community/plasma-sdk/APKBUILD b/community/plasma-sdk/APKBUILD
index 81fbe331d3..24495ecd54 100644
--- a/community/plasma-sdk/APKBUILD
+++ b/community/plasma-sdk/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-sdk
pkgver=5.17.4
pkgrel=0
pkgdesc="Applications useful for Plasma Development"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
depends="kirigami2"
diff --git a/community/plasma-thunderbolt/APKBUILD b/community/plasma-thunderbolt/APKBUILD
index 0a5c59620c..a556a8cf94 100644
--- a/community/plasma-thunderbolt/APKBUILD
+++ b/community/plasma-thunderbolt/APKBUILD
@@ -3,7 +3,7 @@
pkgname=plasma-thunderbolt
pkgver=5.17.4
pkgrel=0
-arch="all !armhf !armv7" # Limited by bolt -> polkit
+arch="all !armhf !armv7" # Limited by bolt -> polkit, armhf also limited by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
pkgdesc="Plasma integration for controlling Thunderbolt devices"
license="GPL-2.0-only OR GPL-3.0-only"
diff --git a/community/plasma-workspace/APKBUILD b/community/plasma-workspace/APKBUILD
index be1170378f..e2322066db 100644
--- a/community/plasma-workspace/APKBUILD
+++ b/community/plasma-workspace/APKBUILD
@@ -4,7 +4,7 @@ pkgname=plasma-workspace
pkgver=5.17.4
pkgrel=0
pkgdesc="KDE Plasma Workspace"
-arch="all"
+arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="(GPL-2.0-only OR GPL-3.0-only) AND LGPL-2.1-or-later AND GPL-2.0-or-later AND MIT AND LGPL-2.1-only AND LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-only) AND LGPL-2.0-only"
depends="tzdata qt5-qtquickcontrols kirigami2 kinit qt5-qttools kwin kactivitymanagerd milou plasma-integration qtchooser kded"
diff --git a/community/print-manager/APKBUILD b/community/print-manager/APKBUILD
index 8e7a6950a1..5ea97a2ad7 100644
--- a/community/print-manager/APKBUILD
+++ b/community/print-manager/APKBUILD
@@ -3,7 +3,7 @@
pkgname=print-manager
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/applications/utilities/"
pkgdesc="A tool for managing print jobs and printers"
license="GPL-2.0-or-later"
diff --git a/community/prison/APKBUILD b/community/prison/APKBUILD
index c7ae6350e0..920300d0ca 100644
--- a/community/prison/APKBUILD
+++ b/community/prison/APKBUILD
@@ -4,7 +4,7 @@ pkgname=prison
pkgver=5.65.0
pkgrel=0
pkgdesc="A barcode API to produce QRCode barcodes and DataMatrix barcodes"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="MIT"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev"
diff --git a/community/pulseaudio-qt/APKBUILD b/community/pulseaudio-qt/APKBUILD
index f1146d36b9..724d072c99 100644
--- a/community/pulseaudio-qt/APKBUILD
+++ b/community/pulseaudio-qt/APKBUILD
@@ -3,7 +3,7 @@
pkgname=pulseaudio-qt
pkgver=1.2
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://cgit.kde.org/pulseaudio-qt.git/"
pkgdesc="Pulseaudio bindings for Qt"
license="LGPL-2.1-only OR LGPL-3.0-only"
diff --git a/community/purpose/APKBUILD b/community/purpose/APKBUILD
index 4018cb9f06..8615f19e0f 100644
--- a/community/purpose/APKBUILD
+++ b/community/purpose/APKBUILD
@@ -4,7 +4,7 @@ pkgname=purpose
pkgver=5.65.0
pkgrel=0
pkgdesc="Framework for providing abstractions to get the developer's purposes fulfilled"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-or-later"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev ki18n-dev kconfig-dev kio-dev
diff --git a/community/py3-qt5/APKBUILD b/community/py3-qt5/APKBUILD
index 53433f2337..6f8cdaac0e 100644
--- a/community/py3-qt5/APKBUILD
+++ b/community/py3-qt5/APKBUILD
@@ -6,7 +6,7 @@ pkgver=5.13.1
pkgrel=1
pkgdesc="A set of Python 3 bindings for the Qt toolkit"
url="http://riverbankcomputing.co.uk/software/pyqt/intro"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-2.0-or-later"
depends="python3 py3-sip-pyqt5"
makedepends="python3-dev py-dbus-dev py-sip-dev
@@ -30,7 +30,7 @@ build() {
--sip /usr/bin/sip \
--sipdir /usr/share/sip/PyQt5 \
--qsci-api
- find -name 'Makefile' | xargs sed -i 's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
+ find . -name 'Makefile' -print0 | xargs sed -i 's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
make
}
diff --git a/community/py3-qtwebengine/APKBUILD b/community/py3-qtwebengine/APKBUILD
index d410507376..31f0758a12 100644
--- a/community/py3-qtwebengine/APKBUILD
+++ b/community/py3-qtwebengine/APKBUILD
@@ -6,12 +6,12 @@ pkgrel=2
pkgdesc="Python 3 bindings for QtWebEngine"
url="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
# ppc64le, s390x: not supported
-arch="all !ppc64le !s390x"
+arch="all !ppc64le !s390x !armhf" # armhf blocked by py3-qt5 -> qt5-qtdeclarative
license="GPL-2.0-or-later"
depends="python3"
makedepends="python3-dev py3-qt5 qt5-qtwebengine-dev py-sip-dev"
source="https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/$pkgver/PyQtWebEngine_gpl-$pkgver.tar.gz"
-builddir="${srcdir}/${_pyname}_gpl-${pkgver}"
+builddir="$srcdir"/"$_pyname"_gpl-"$pkgver"
build() {
python3 configure.py \
@@ -26,7 +26,7 @@ check() {
}
package() {
- make -j1 DESTDIR="${pkgdir}" INSTALL_ROOT="${pkgdir}" install
+ make -j1 DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install
}
sha512sums="2bcb0e4da51de9cfb5128e03c03ada77f2d4b99b0885da910584717681b96759ce4301c325cbbf43602d46746e2d37d81ed62f77dd63b33359fd5fae74d7f010 PyQtWebEngine_gpl-5.12.1.tar.gz"
diff --git a/community/qqc2-desktop-style/APKBUILD b/community/qqc2-desktop-style/APKBUILD
index e6967a60f7..5f0787e23a 100644
--- a/community/qqc2-desktop-style/APKBUILD
+++ b/community/qqc2-desktop-style/APKBUILD
@@ -4,7 +4,7 @@ pkgname=qqc2-desktop-style
pkgver=5.65.0
pkgrel=0
pkgdesc="A style for Qt Quick Controls 2 to make it follow your desktop theme"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-3.0-only AND (GPL-2.0-only OR GPL-3.0-only)"
depends="qt5-qtgraphicaleffects qt5-qtquickcontrols2"
diff --git a/community/qt5-qtdeclarative/APKBUILD b/community/qt5-qtdeclarative/APKBUILD
index da63a24b74..565144c868 100644
--- a/community/qt5-qtdeclarative/APKBUILD
+++ b/community/qt5-qtdeclarative/APKBUILD
@@ -6,12 +6,12 @@ _ver=${pkgver/_p/-}
_ver=${_ver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
-pkgrel=0
+_v=${_ver/rc/RC}
+pkgrel=1
pkgdesc="Qt5 - QtDeclarative component"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # Broken on armhf, upstream bug report https://bugreports.qt.io/browse/QTBUG-65246
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev python3"
subpackages="$pkgname-dev"
@@ -19,12 +19,12 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_v.tar.xz
qt-musl-stackbottom.patch
"
_qt5_prefix=/usr/lib/qt5
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
build() {
# HACK so calls to "python" get what we want
@@ -42,7 +42,7 @@ package() {
make install INSTALL_ROOT="$pkgdir"
mkdir -p "$pkgdir"/usr/bin/
- for i in "$pkgdir"/$_qt5_prefix/bin/*; do
+ for i in "$pkgdir"/"$_qt5_prefix"/bin/*; do
ln -s ../lib/qt5/bin/${i##*/} "$pkgdir"/usr/bin/${i##*/}-qt5
done
}
diff --git a/community/qt5-qtgraphicaleffects/APKBUILD b/community/qt5-qtgraphicaleffects/APKBUILD
index d794741af3..206fc77655 100644
--- a/community/qt5-qtgraphicaleffects/APKBUILD
+++ b/community/qt5-qtgraphicaleffects/APKBUILD
@@ -5,35 +5,31 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="Qt5 - QtGraphicalEffects component"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtgraphicaleffects-everywhere-src-$_v.tar.xz"
-_qt5_prefix=/usr/lib/qt5
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
build() {
- cd "$builddir"
qmake-qt5 && make
}
check() {
- cd "$builddir"
make check
}
package() {
- cd "$builddir"
make install INSTALL_ROOT="$pkgdir"
}
diff --git a/community/qt5-qtlocation/APKBUILD b/community/qt5-qtlocation/APKBUILD
index e5660f2910..526db9a6ab 100644
--- a/community/qt5-qtlocation/APKBUILD
+++ b/community/qt5-qtlocation/APKBUILD
@@ -6,12 +6,12 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="Qt5 - Location component"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
options="!check" # upstream does not provide check
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev icu-dev"
subpackages="$pkgname-dev"
@@ -20,15 +20,15 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtlocation-everywhere-src-$_v.tar.xz
fix-build.patch"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
prepare() {
default_prepare
- cd "$builddir"
- mkdir -p build
+
+ mkdir -p "$builddir"/build
}
build() {
diff --git a/community/qt5-qtmultimedia/APKBUILD b/community/qt5-qtmultimedia/APKBUILD
index 55c2e9246a..f877ee7a7f 100644
--- a/community/qt5-qtmultimedia/APKBUILD
+++ b/community/qt5-qtmultimedia/APKBUILD
@@ -6,12 +6,12 @@ _ver=${pkgver/_p/-}
_ver=${_ver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
-pkgrel=0
+_v=${_ver/rc/RC}
+pkgrel=1
pkgdesc="Qt5 - Multimedia support"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev
alsa-lib-dev libxv-dev gstreamer-dev gst-plugins-base-dev"
subpackages="$pkgname-dev"
@@ -20,21 +20,18 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtmultimedia-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
build() {
- cd "$builddir"
qmake-qt5 && make
}
check() {
- cd "$builddir"
make check
}
package() {
- cd "$builddir"
make install INSTALL_ROOT="$pkgdir"
}
diff --git a/community/qt5-qtquickcontrols/APKBUILD b/community/qt5-qtquickcontrols/APKBUILD
index f0423fa577..7095b51a71 100644
--- a/community/qt5-qtquickcontrols/APKBUILD
+++ b/community/qt5-qtquickcontrols/APKBUILD
@@ -5,34 +5,31 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
-pkgrel=0
+_v=${_ver/rc/RC}
+pkgrel=1
pkgdesc="Qt5 - module with set of QtQuick controls"
url="http://qt-project.org/"
-arch="all"
-license="BSD and (LGPL-2.0 with exceptions or GPL-3.0 with exceptions) and GFDL"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtquickcontrols-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
build() {
- cd "$builddir"
qmake-qt5 && make
}
check() {
- cd "$builddir"
make check
}
package() {
- cd "$builddir"
make install INSTALL_ROOT="$pkgdir"
}
diff --git a/community/qt5-qtquickcontrols2/APKBUILD b/community/qt5-qtquickcontrols2/APKBUILD
index d79f454990..473e5e043f 100644
--- a/community/qt5-qtquickcontrols2/APKBUILD
+++ b/community/qt5-qtquickcontrols2/APKBUILD
@@ -6,12 +6,12 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="Qt5 - module with set of QtQuick controls for embedded"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
options="!check" #upstream does not provide check
depends="qt5-qtgraphicaleffects"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
@@ -21,14 +21,14 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtquickcontrols2-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
prepare() {
default_prepare
- cd "$builddir"
- mkdir -p build
+
+ mkdir -p "$builddir"/build
}
build() {
diff --git a/community/qt5-qtsensors/APKBUILD b/community/qt5-qtsensors/APKBUILD
index 0320adbf6a..9db1b194cd 100644
--- a/community/qt5-qtsensors/APKBUILD
+++ b/community/qt5-qtsensors/APKBUILD
@@ -6,12 +6,12 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="+The Qt Sensors API provides access to sensor hardware via QML and C++"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
options="!check" #upstream does not provide check
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
subpackages="$pkgname-dev"
@@ -20,14 +20,14 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtsensors-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir/$_pkgname-${_v%-*}"
prepare() {
default_prepare
- cd "$builddir"
- mkdir -p build
+
+ mkdir -p "$builddir"/build
}
build() {
diff --git a/community/qt5-qtvirtualkeyboard/APKBUILD b/community/qt5-qtvirtualkeyboard/APKBUILD
index 9b88390241..8bc9351745 100644
--- a/community/qt5-qtvirtualkeyboard/APKBUILD
+++ b/community/qt5-qtvirtualkeyboard/APKBUILD
@@ -3,22 +3,22 @@
pkgname=qt5-qtvirtualkeyboard
_pkgname="${pkgname/qt5-/}-everywhere-src"
pkgver=5.12.5
-pkgrel=0
-arch="all"
+pkgrel=1
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="http://qt-project.org/"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
pkgdesc="Virtual keyboard framework"
depends_dev="qt5-qtsvg-dev"
makedepends="$depends_dev hunspell-dev qt5-qtbase-dev qt5-qtdeclarative-dev"
subpackages="$pkgname-dev"
-builddir="$srcdir/${pkgname/qt5-/}-everywhere-src-$pkgver"
+builddir="$srcdir/$_pkgname-$pkgver"
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt.io/$_rel/qt/${pkgver%.*}/${pkgver}/submodules/$_pkgname-$pkgver.tar.xz"
+source="http://download.qt.io/$_rel/qt/${pkgver%.*}/$pkgver/submodules/qtvirtualkeyboard-everywhere-src-$pkgver.tar.xz"
build() {
qmake-qt5 CONFIG+="lang-all handwriting"
diff --git a/community/qt5-qtwayland/APKBUILD b/community/qt5-qtwayland/APKBUILD
index 235d789a0c..39df83a28f 100644
--- a/community/qt5-qtwayland/APKBUILD
+++ b/community/qt5-qtwayland/APKBUILD
@@ -3,10 +3,10 @@
pkgname=qt5-qtwayland
_pkgname="${pkgname/qt5-/}-everywhere-src"
pkgver=5.12.5
-pkgrel=1
-arch="all"
+pkgrel=2
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="http://qt-project.org/"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
pkgdesc='Provides APIs for Wayland'
makedepends="$depends_dev libxkbcommon-dev libxcomposite-dev
qt5-qtquickcontrols2-dev qt5-qtdeclarative-dev qt5-qtbase-dev wayland-dev"
@@ -18,7 +18,7 @@ case $pkgver in
*) _rel=official_releases;;
esac
-source="http://download.qt.io/$_rel/qt/${pkgver%.*}/${pkgver}/submodules/$_pkgname-$pkgver.tar.xz
+source="http://download.qt.io/$_rel/qt/${pkgver%.*}/$pkgver/submodules/qtwayland-everywhere-src-$pkgver.tar.xz
03e8c91fc28b77c4f027b6c6d582b85878efae41.patch"
build() {
@@ -27,12 +27,10 @@ build() {
}
check() {
- cd "$builddir"
make check
}
package() {
- cd "$builddir"
make INSTALL_ROOT="$pkgdir" install
# Drop QMAKE_PRL_BUILD_DIR because reference the build dir
diff --git a/community/qt5-qtwebchannel/APKBUILD b/community/qt5-qtwebchannel/APKBUILD
index a04904d305..59d199a11a 100644
--- a/community/qt5-qtwebchannel/APKBUILD
+++ b/community/qt5-qtwebchannel/APKBUILD
@@ -6,12 +6,12 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="library for seamless integration of C++ +and QML applications with HTML/JavaScript clients."
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
options="!check" #upstream does not provide check
makedepends="qt5-qtbase-dev qt5-qtwebsockets-dev qt5-qtdeclarative-dev"
subpackages="$pkgname-dev"
@@ -20,14 +20,14 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebchannel-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
+builddir="$srcdir"/$_pkgname-${_v%-*}
prepare() {
default_prepare
- cd "$builddir"
- mkdir -p build
+
+ mkdir -p "$builddir"/build
}
build() {
diff --git a/community/qt5-qtwebengine/APKBUILD b/community/qt5-qtwebengine/APKBUILD
index 7b82029a22..eb64d9418c 100644
--- a/community/qt5-qtwebengine/APKBUILD
+++ b/community/qt5-qtwebengine/APKBUILD
@@ -1,13 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=qt5-qtwebengine
pkgver=5.12.5
-pkgrel=2
+pkgrel=3
pkgdesc="Qt5 - QtWebEngine components"
url="http://qt-project.org/"
# ppc64le, s390x: not supported
-arch="all !ppc64le !s390x"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
-depends=""
+arch="all !ppc64le !s390x !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
depends_dev="qt5-qtdeclarative-dev qt5-qtwebchannel-dev gstreamer-dev gst-plugins-base-dev
libxslt-dev mesa-dev icu-dev libxext-dev glib-dev libxcomposite-dev
libxrender-dev ninja ffmpeg-dev
@@ -39,7 +38,6 @@ makedepends="$depends_dev
linux-headers
nss-dev
opus-dev
- paxmark
pcre-dev
protobuf-dev
qt5-qtbase-dev
@@ -56,13 +54,13 @@ subpackages="$pkgname-dev"
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebengine-everywhere-src-$_V.tar.xz
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebengine-everywhere-src-$_v.tar.xz
arm-void-is-not-android.patch
qt-musl-dispatch_to_musl.patch
qt-musl-execinfo.patch
@@ -80,20 +78,18 @@ source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qt
musl-sandbox.patch
yasm-nls.patch
"
-builddir="$srcdir"/qtwebengine-everywhere-src-$_V
+builddir="$srcdir"/qtwebengine-everywhere-src-$_v
build() {
- cd "$builddir"
export NINJA_PATH="/usr/bin/ninja"
qmake-qt5 QMAKE_EXTRA_ARGS+="-webengine-ffmpeg -webengine-opus -webengine-webp"
- make || paxmark -m src/core/release/mksnapshot && make
+ make
}
package() {
- cd "$builddir"
- make install INSTALL_ROOT="$pkgdir" || return 1
+ make install INSTALL_ROOT="$pkgdir"
# remove rpath
-# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/* || return 1
+# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/*
sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
}
diff --git a/community/qt5-qtwebkit/APKBUILD b/community/qt5-qtwebkit/APKBUILD
index d02ca4cd54..baa64b01da 100644
--- a/community/qt5-qtwebkit/APKBUILD
+++ b/community/qt5-qtwebkit/APKBUILD
@@ -4,9 +4,8 @@ pkgver=5.9.1
pkgrel=7
pkgdesc="Qt5 - QtWebKit components"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
-depends=""
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
depends_dev="qt5-qtdeclarative-dev gstreamer-dev gst-plugins-base-dev
libxslt-dev mesa-dev icu-dev libxext-dev glib-dev libxcomposite-dev
libxrender-dev
@@ -31,53 +30,50 @@ subpackages="$pkgname-dev"
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebkit-opensource-src-$_V.tar.xz
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebkit-opensource-src-$_v.tar.xz
pic.patch
fix-rpath.patch
fix-execinfo.patch
0001-Add-ARM-64-support.patch
qt5.12.patch
"
-builddir="$srcdir"/qtwebkit-opensource-src-$_V
+builddir="$srcdir/qtwebkit-opensource-src-$_v"
prepare() {
- default_prepare || return 1 # apply patches
+ default_prepare # apply patches
# remove some bundled
mkdir Source/ThirdParty/orig
mv Source/ThirdParty/gtest/ \
Source/ThirdParty/qunit/ \
- Source/ThirdParty/orig/ \
- || return 1
- syncqt-qt5.pl -version $_V Source/sync.profile || return 1
+ Source/ThirdParty/orig/
+ syncqt-qt5.pl -version $_V Source/sync.profile
}
build() {
- cd "$builddir"
- qmake-qt5 || return 1
+ qmake-qt5
# /usr/include/fortify/stdlib.h:20:25: fatal error: stdlib.h: No such file or directory
# see: http://stackoverflow.com/questions/37218953/isystem-on-a-system-include-directory-causes-errors
# see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71090
# see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
qmake-qt5 Source/JavaScriptCore/LLIntOffsetsExtractor.pro -o \
- Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1
+ Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor
sed -i 's:-isystem /usr/include ::' \
- Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1
+ Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor
- make || return 1
+ make
}
package() {
- cd "$builddir"
- make install INSTALL_ROOT="$pkgdir" || return 1
+ make install INSTALL_ROOT="$pkgdir"
# remove rpath
-# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/* || return 1
+# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/*
sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
}
diff --git a/community/qt5-qtxmlpatterns/APKBUILD b/community/qt5-qtxmlpatterns/APKBUILD
index e6ad405d5c..53eb0430e4 100644
--- a/community/qt5-qtxmlpatterns/APKBUILD
+++ b/community/qt5-qtxmlpatterns/APKBUILD
@@ -5,12 +5,12 @@ pkgver=5.12.5
_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
-_V=${_ver/rc/RC}
+_v=${_ver/rc/RC}
pkgrel=0
pkgdesc="Qt5 - QtXmlPatterns component"
url="http://qt-project.org/"
-arch="all"
-license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
subpackages="$pkgname-dev"
@@ -18,10 +18,10 @@ case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac
-source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/$_pkgname-$_V.tar.xz"
+source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtxmlpatterns-everywhere-src-$_v.tar.xz"
-builddir="$srcdir"/$_pkgname-${_V%-*}
-builddir="$srcdir"/$_pkgname-$_V
+builddir="$srcdir"/$_pkgname-${_v%-*}
+builddir="$srcdir"/$_pkgname-$_v
build() {
qmake-qt5 && make
@@ -31,7 +31,7 @@ check() {
make check
}
-package() {
+package() {
make install INSTALL_ROOT="$pkgdir"
}
diff --git a/community/sddm-kcm/APKBUILD b/community/sddm-kcm/APKBUILD
index e08f74e7d6..65137a00dc 100644
--- a/community/sddm-kcm/APKBUILD
+++ b/community/sddm-kcm/APKBUILD
@@ -4,7 +4,7 @@ pkgname=sddm-kcm
pkgver=5.17.4
pkgrel=0
pkgdesc="Config module for SDDM"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org"
license="GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND LGPL-2.1-or-later AND GPL-2.0-only"
depends="sddm systemsettings"
diff --git a/community/sddm/APKBUILD b/community/sddm/APKBUILD
index 1a5d6694ee..6d738cad24 100644
--- a/community/sddm/APKBUILD
+++ b/community/sddm/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.18.1
pkgrel=6
pkgdesc="Simple Desktop Display Manager"
url="https://github.com/sddm/sddm/"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-2.0-only"
depends="elogind xorg-server dbus-x11 upower"
makedepends="cmake extra-cmake-modules qt5-qtbase-dev libxcb-dev upower-dev
@@ -16,7 +16,7 @@ install="sddm.pre-install"
langdir="/usr/share/sddm/translations"
pkgusers="sddm"
pkggroups="sddm"
-source="$pkgname-$pkgver.tar.gz::https://github.com/sddm/$pkgname/archive/v$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/sddm/sddm/archive/v$pkgver.tar.gz
pam-path-fix.patch
sddm.initd
"
diff --git a/community/solid/APKBUILD b/community/solid/APKBUILD
index f339e66ba6..e2faa29f49 100644
--- a/community/solid/APKBUILD
+++ b/community/solid/APKBUILD
@@ -4,7 +4,7 @@ pkgname=solid
pkgver=5.65.0
pkgrel=0
pkgdesc="Hardware integration and detection"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-only OR LGPL-3.0-only"
depends_dev="qt5-qtdeclarative-dev"
diff --git a/community/systemsettings/APKBUILD b/community/systemsettings/APKBUILD
index c0b0e2193d..3cfd48a6b2 100644
--- a/community/systemsettings/APKBUILD
+++ b/community/systemsettings/APKBUILD
@@ -4,7 +4,7 @@ pkgname=systemsettings
pkgver=5.17.4
pkgrel=0
pkgdesc="Plasma system manager for hardware, software, and workspaces"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
depends="kirigami2"
diff --git a/community/threadweaver/APKBUILD b/community/threadweaver/APKBUILD
index 051507cf49..c12e582d76 100644
--- a/community/threadweaver/APKBUILD
+++ b/community/threadweaver/APKBUILD
@@ -4,7 +4,7 @@ pkgname=threadweaver
pkgver=5.65.0
pkgrel=0
pkgdesc="High-level multithreading framework"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Frameworks"
license="LGPL-2.1-only"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev"
diff --git a/testing/alkimia/APKBUILD b/testing/alkimia/APKBUILD
index 40b2b71b26..5e43dcb469 100644
--- a/testing/alkimia/APKBUILD
+++ b/testing/alkimia/APKBUILD
@@ -3,11 +3,11 @@
pkgname=alkimia
pkgver=8.0.2
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://community.kde.org/Alkimia/libalkimia"
pkgdesc="A library with common classes and functionality used by finance applications for the KDE SC"
license="GPL-3.0-or-later"
-makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebkit-dev qt5-qtdeclarative-dev kconfig-dev kcoreaddons-dev kcompletion-dev ki18n-dev kpackage-dev plasma-framework-dev knewstuff-dev kio-dev kiconthemes-dev ktextwidgets-dev kdoctools-dev kitemmodels-dev kdelibs4support-dev gmp-dev doxygen graphviz"
+makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebkit-dev qt5-qtdeclarative-dev kconfig-dev kcoreaddons-dev kcompletion-dev ki18n-dev kpackage-dev plasma-framework-dev knewstuff-dev kio-dev kiconthemes-dev ktextwidgets-dev kdoctools-dev kitemmodels-dev kdelibs4support-dev kinit-dev gmp-dev doxygen graphviz"
checkdepends="xvfb-run"
source="https://download.kde.org/stable/alkimia/$pkgver/alkimia-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
diff --git a/testing/analitza/APKBUILD b/testing/analitza/APKBUILD
index 58aff9f867..a25b4623b6 100644
--- a/testing/analitza/APKBUILD
+++ b/testing/analitza/APKBUILD
@@ -3,7 +3,7 @@
pkgname=analitza
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://edu.kde.org/"
pkgdesc="A library to add mathematical features to your program"
license="GPL-2.0-or-later AND GFDL-1.2-only"
diff --git a/testing/artikulate/APKBUILD b/testing/artikulate/APKBUILD
index bf097d2152..d17db7c4f2 100644
--- a/testing/artikulate/APKBUILD
+++ b/testing/artikulate/APKBUILD
@@ -3,7 +3,7 @@
pkgname=artikulate
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://edu.kde.org/artikulate"
pkgdesc="Improve your pronunciation by listening to native speakers"
license="(GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
diff --git a/testing/elektra/APKBUILD b/testing/elektra/APKBUILD
index 9206faa061..11882f7bf4 100644
--- a/testing/elektra/APKBUILD
+++ b/testing/elektra/APKBUILD
@@ -9,7 +9,7 @@ pkgver=0.8.21
pkgrel=9
pkgdesc="A universal and secure framework to access configuration parameters"
url="https://www.libelektra.org"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="BSD-3-Clause"
_luaver=5.3
# kdb doesn't work correctly without these plugins.
@@ -56,7 +56,7 @@ subpackages="
$pkgname-zsh-completion:zshcomp:noarch
$pkgname-plugins-all:_all:noarch
"
-source="$_pkgname-$pkgver.tar.gz::https://github.com/ElektraInitiative/$_pkgname/archive/$pkgver.tar.gz
+source="$_pkgname-$pkgver.tar.gz::https://github.com/ElektraInitiative/libelektra/archive/$pkgver.tar.gz
fix-bash-shebang.patch
fix-augeas-internal-inconsistency.patch
cmake-allow-override-rpath.patch
@@ -183,14 +183,14 @@ build() {
-DENABLE_DEBUG=OFF \
-DENABLE_LOGGER=OFF \
-DINSTALL_TESTING=OFF \
- -DBINDINGS=$(printf '%s;' $_bindings) \
- -DPLUGINS=$(printf '%s;' $_plugins) \
+ -DBINDINGS="$(printf '%s;' $_bindings)" \
+ -DPLUGINS="$(printf '%s;' $_plugins)" \
-DTOOLS='kdb;qt-gui' \
\
-DLUA_LIBRARIES="/usr/lib/liblua-$_luaver.so.0" \
- -DLUA_INCLUDE_DIR=$(pkg-config --variable=includedir lua$_luaver ) \
- -DTARGET_LUA_CMOD_FOLDER=$(pkg-config --variable=INSTALL_LMOD lua$_luaver) \
- -DTARGET_LUA_CMOD_FOLDER=$(pkg-config --variable=INSTALL_CMOD lua$_luaver)
+ -DLUA_INCLUDE_DIR="$(pkg-config --variable=includedir lua$_luaver )" \
+ -DTARGET_LUA_CMOD_FOLDER="$(pkg-config --variable=INSTALL_LMOD lua$_luaver)" \
+ -DTARGET_LUA_CMOD_FOLDER="$(pkg-config --variable=INSTALL_CMOD lua$_luaver)"
make
}
@@ -311,14 +311,14 @@ _plugin() {
[ -f "$readme" ] || die "$readme doesn't exist!"
pkgdesc="Elektra plugin - $(_getinfo description "$readme")"
- depends=$(_to_pkgnames $(_getinfo needs "$readme" '') | xargs)
+ depends=$(_to_pkgnames "$(_getinfo needs \"$readme\" '')" | xargs)
if provides=$(_getinfo provides "$readme"); then
# Convert plugin names to package names.
provides=$(_to_pkgnames $provides)
# Remove pkgnames clashing with subpackages.
- : ${_plugins_pkgname:="$(printf "$pkgname-%s\n" $_plugins dev doc libs)"}
+ : "${_plugins_pkgname:=$(printf \"$pkgname-%s\\n\" $_plugins dev doc libs)}"
provides=$(_set_difference "$provides" "$_plugins_pkgname" | xargs)
fi
@@ -363,7 +363,7 @@ _getinfo() {
local value
value=$(sed -n "s|^- infos/$name = *\(.*\) *|\1|p" "$file")
- [ "$value$default" ] || return 1
+ [ "$value$default" ]
printf '%s\n' "${value:-$default}"
}
diff --git a/testing/git-cola/APKBUILD b/testing/git-cola/APKBUILD
index 98abfa20c3..7257e46a68 100644
--- a/testing/git-cola/APKBUILD
+++ b/testing/git-cola/APKBUILD
@@ -2,12 +2,12 @@
# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
pkgname=git-cola
pkgver=3.6
-pkgrel=0
+pkgrel=1
pkgdesc="A GUI application for git built on Python & Qt5"
url="https://git-cola.github.io"
arch="noarch"
license="GPL-2.0-or-later"
-depends="python3 py3-qtpy"
+depends="python3 py3-qt5"
checkdepends="py3-nose"
makedepends="py3-setuptools"
subpackages="$pkgname-doc"
diff --git a/testing/imgbrd-grabber/APKBUILD b/testing/imgbrd-grabber/APKBUILD
index d84a0e6b74..dd7da31e89 100644
--- a/testing/imgbrd-grabber/APKBUILD
+++ b/testing/imgbrd-grabber/APKBUILD
@@ -6,12 +6,12 @@ pkgrel=0
pkgdesc="Powerful imageboard/booru downloader"
options="!check" # Tests requires graphics
url="https://bionus.github.io/imgbrd-grabber"
-arch="all !mips64 !mips64el" # nodejs restrictions
+arch="all !mips64 !mips64el !armhf" # mps64 and mips64el blocked by nodejs restrictions, armhf blocked by qt5-qtdeclarative
license="Apache-2.0"
makedepends="cmake nodejs qt5-qtdeclarative-dev qt5-qtmultimedia-dev
qt5-qtbase-mysql qt5-qtbase-odbc qt5-qtbase-sqlite qt5-qtbase-tds
qt5-qtscript-dev qt5-qtbase-dev qt5-qttools-dev npm"
-source="$pkgname-$pkgver.tar.gz::https://github.com/Bionus/imgbrd-grabber/archive/v${pkgver}.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/Bionus/imgbrd-grabber/archive/v$pkgver.tar.gz"
build() {
sed -i 's|USE_QSCINTILLA 1|USE_QSCINTILLA 0|' gui/CMakeLists.txt
@@ -27,7 +27,7 @@ build() {
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
-DCMAKE_C_FLAGS="$CFLAGS" \
- ${CMAKE_CROSSOPTS}
+ $CMAKE_CROSSOPTS
make
}
diff --git a/testing/kaccounts-providers/APKBUILD b/testing/kaccounts-providers/APKBUILD
new file mode 100644
index 0000000000..e653eb3f4d
--- /dev/null
+++ b/testing/kaccounts-providers/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Bart Ribbers <bribbers@disroot.org>
+# Maintainer: Bart Ribbers <bribbers@disroot.org>
+pkgname=kaccounts-providers
+pkgver=19.08.3
+pkgrel=0
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
+url="https://kde.org/applications/internet/"
+pkgdesc="Small system to administer web accounts for the sites and services across the KDE desktop"
+license="GPL-2.0-or-later"
+depends="kaccounts-integration"
+makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev kio-dev ki18n-dev kdeclarative-dev kpackage-dev kaccounts-integration-dev extra-cmake-modules intltool"
+source="https://download.kde.org/stable/applications/$pkgver/src/kaccounts-providers-$pkgver.tar.xz"
+subpackages="$pkgname-lang"
+
+build() {
+ cmake \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib
+ make
+}
+
+package() {
+ DESTDIR="$pkgdir" make install
+}
+
+sha512sums="bb8e6a409688ca7a31ac802ab75e796eb161b9f4495d1ba1b9c3c5aa2d836b917f4549e81ce327ea157f5f19d15fcb0c50c079be49e114dff897066ae3fa1e06 kaccounts-providers-19.08.3.tar.xz"
diff --git a/testing/kalgebra/APKBUILD b/testing/kalgebra/APKBUILD
index 585c9e4fa7..5eca44cb86 100644
--- a/testing/kalgebra/APKBUILD
+++ b/testing/kalgebra/APKBUILD
@@ -3,12 +3,12 @@
pkgname=kalgebra
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://edu.kde.org/kalgebra/"
pkgdesc="2D and 3D Graph Calculator"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtdeclarative-dev analitza-dev ki18n-dev kcoreaddons-dev kconfigwidgets-dev kwidgetsaddons-dev kio-dev kdoctools-dev ncurses-dev readline-dev"
-source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kalgebra-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
diff --git a/testing/kamoso/APKBUILD b/testing/kamoso/APKBUILD
index a55ed60108..abca69e6aa 100644
--- a/testing/kamoso/APKBUILD
+++ b/testing/kamoso/APKBUILD
@@ -3,13 +3,13 @@
pkgname=kamoso
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
url="https://kde.org/applications/multimedia/org.kde.kamoso"
pkgdesc="An application to take pictures and videos out of your webcam"
license="GPL-2.0-or-later AND LGPL-2.1-only"
depends="kirigami2 qt5-qtquickcontrols2 gst-plugins-good gst-plugins-bad"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kdoctools-dev kio-dev ki18n-dev purpose-dev knotifications-dev gstreamer-dev glib-dev gobject-introspection-dev gst-plugins-base-dev"
-source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kamoso-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # Broken
diff --git a/testing/kanagram/APKBUILD b/testing/kanagram/APKBUILD
index c128fe977f..d82a4f8132 100644
--- a/testing/kanagram/APKBUILD
+++ b/testing/kanagram/APKBUILD
@@ -3,7 +3,7 @@
pkgname=kanagram
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://edu.kde.org/kanagram/"
pkgdesc="Letter Order Game"
license="GPL-2.0-or-later AND GFDL-1.2-only"
diff --git a/testing/khangman/APKBUILD b/testing/khangman/APKBUILD
index bcc5e4824f..00482386f0 100644
--- a/testing/khangman/APKBUILD
+++ b/testing/khangman/APKBUILD
@@ -3,7 +3,7 @@
pkgname=khangman
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="http://edu.kde.org/khangman"
pkgdesc="Hangman game"
license="GPL-2.0-or-later"
diff --git a/testing/kirigami-gallery/APKBUILD b/testing/kirigami-gallery/APKBUILD
index cfd61206e1..50d8226b25 100644
--- a/testing/kirigami-gallery/APKBUILD
+++ b/testing/kirigami-gallery/APKBUILD
@@ -3,13 +3,13 @@
pkgname=kirigami-gallery
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
url="https://kde.org/applications/development/org.kde.kirigami2.gallery"
pkgdesc="Gallery application built using Kirigami"
license="LGPL-2.0-or-later"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtquickcontrols2-dev qt5-qtsvg-dev qt5-qttools-dev"
-source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kirigami-gallery-$pkgver.tar.xz"
subpackages="$pkgname-lang"
prepare() {
diff --git a/testing/kitinerary/APKBUILD b/testing/kitinerary/APKBUILD
index a4f379972b..520223c2db 100644
--- a/testing/kitinerary/APKBUILD
+++ b/testing/kitinerary/APKBUILD
@@ -3,7 +3,7 @@
pkgname=kitinerary
pkgver=19.12.0
pkgrel=1
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://kontact.kde.org/"
pkgdesc="Data model and extraction system for travel reservation information"
license="LGPL-2.0-or-later"
diff --git a/testing/krita/APKBUILD b/testing/krita/APKBUILD
index 59bcebfd78..363b2d58eb 100644
--- a/testing/krita/APKBUILD
+++ b/testing/krita/APKBUILD
@@ -3,7 +3,7 @@
pkgname=krita
pkgver=4.2.6
pkgrel=3
-arch="all"
+arch="all !armhf" # Blocked by py3-qt5 -> qt5-qtdeclarative
url="https://krita.org/"
pkgdesc="Free digital painting application. Digital Painting, Creative Freedom!"
license="GPL-2.0-or-later"
diff --git a/testing/ktouch/APKBUILD b/testing/ktouch/APKBUILD
index 687d36a8fe..399659dc13 100644
--- a/testing/ktouch/APKBUILD
+++ b/testing/ktouch/APKBUILD
@@ -3,7 +3,7 @@
pkgname=ktouch
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://edu.kde.org/ktouch/"
pkgdesc="Touch Typing Tutor"
license="GPL-2.0-or-later AND GFDL-1.2-only"
diff --git a/testing/libkdegames/APKBUILD b/testing/libkdegames/APKBUILD
index 1b75b2e710..9be7701501 100644
--- a/testing/libkdegames/APKBUILD
+++ b/testing/libkdegames/APKBUILD
@@ -3,7 +3,7 @@
pkgname=libkdegames
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://kde.org/applications/games"
pkgdesc="Common code and data for many KDE games"
license="LGPL-2.0-only AND GFDL-1.2-only"
diff --git a/testing/marble/APKBUILD b/testing/marble/APKBUILD
index 42875888f5..36a56f5b86 100644
--- a/testing/marble/APKBUILD
+++ b/testing/marble/APKBUILD
@@ -4,12 +4,12 @@ pkgname=marble
pkgver=19.12.0
pkgrel=0
pkgdesc="A Virtual Globe and World Atlas that you can use to learn more about Earth"
-arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine, armhf blocked by qt5-qtdeclarative
url='https://marble.kde.org'
license="LGPL-2.1-or-later AND GPL-3.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtsvg-dev qt5-qtdeclarative-dev qt5-qtwebengine-dev qt5-qttools-dev qt5-qtserialport-dev qt5-qtlocation-dev kdoctools-dev phonon-dev gpsd-dev kcrash-dev kcoreaddons-dev kwallet-dev knewstuff-dev kparts-dev plasma-framework-dev krunner-dev ki18n-dev kio-dev shared-mime-info"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/marble-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
options="!check" # Requires itself to be installed
diff --git a/testing/mellowplayer/APKBUILD b/testing/mellowplayer/APKBUILD
index f1c8215f63..f0d6ee22d5 100644
--- a/testing/mellowplayer/APKBUILD
+++ b/testing/mellowplayer/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.5.8
pkgrel=0
pkgdesc="QT based cloud music integration for your desktop"
url="https://colinduquesnoy.gitlab.io/MellowPlayer/"
-arch="all !ppc64le !s390x" # qt5-qtwebengine missing
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine missing, armhf blocked by qt5-qtdeclarative
license="GPL-2.0-or-later"
depends="qt5-qtgraphicaleffects qt5-qtquickcontrols qt5-qtsvg qt5-qtwayland"
makedepends="cmake qt5-qtdeclarative-dev qt5-qtquickcontrols2-dev qt5-qtbase-mysql
diff --git a/testing/minuet/APKBUILD b/testing/minuet/APKBUILD
index 44c75970aa..d4827f98b3 100644
--- a/testing/minuet/APKBUILD
+++ b/testing/minuet/APKBUILD
@@ -3,7 +3,7 @@
pkgname=minuet
pkgver=19.12.0
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://minuet.kde.org/"
pkgdesc="Minuet Music Education"
license="GPL-2.0-or-later AND GFDL-1.2-only"
diff --git a/testing/nemo-qml-plugin-dbus/APKBUILD b/testing/nemo-qml-plugin-dbus/APKBUILD
index ab7022e6b6..eb627699f3 100644
--- a/testing/nemo-qml-plugin-dbus/APKBUILD
+++ b/testing/nemo-qml-plugin-dbus/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.1.21
pkgrel=0
pkgdesc="Nemo's QML plugin for DBus"
url="https://git.merproject.org/mer-core/nemo-qml-plugin-dbus"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="BSD-3-Clause"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev"
makedepends="$depends_dev"
diff --git a/testing/okteta/APKBUILD b/testing/okteta/APKBUILD
index e311cc34b9..23580c085c 100644
--- a/testing/okteta/APKBUILD
+++ b/testing/okteta/APKBUILD
@@ -3,7 +3,7 @@
pkgname=okteta
pkgver=0.26.2
pkgrel=0
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://kde.org/applications/utilities/org.kde.okteta"
pkgdesc="KDE hex editor for viewing and editing the raw data of files"
license="(LGPL-2.1-only OR LGPL-3.0-only) AND (GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
diff --git a/testing/py3-pyotherside/APKBUILD b/testing/py3-pyotherside/APKBUILD
index e18386a0a7..bf920ca958 100644
--- a/testing/py3-pyotherside/APKBUILD
+++ b/testing/py3-pyotherside/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.5.8
pkgrel=1
pkgdesc="Asynchronous Python 3 Bindings for Qt5"
url="https://thp.io/2011/pyotherside"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative"
license="ISC"
makedepends="python3-dev qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev"
options="!check" # can't run tests if not installed.
diff --git a/testing/py3-qtpy/APKBUILD b/testing/py3-qtpy/APKBUILD
deleted file mode 100644
index 37c47f6ed9..0000000000
--- a/testing/py3-qtpy/APKBUILD
+++ /dev/null
@@ -1,29 +0,0 @@
-# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
-# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
-pkgname=py3-qtpy
-pkgver=1.9.0
-pkgrel=1
-pkgdesc="Abstraction layer for several Python interfaces for Qt5"
-url="https://github.com/spyder-ide/qtpy"
-arch="noarch"
-license="MIT"
-depends="python3 py3-qt5"
-makedepends="py3-setuptools py3-pytest"
-source="py3-qtpy-$pkgver.tar.gz::https://github.com/spyder-ide/qtpy/archive/v$pkgver.tar.gz"
-builddir="$srcdir/qtpy-$pkgver"
-# TODO: remove this once py3-qt5's a complete package.
-options="!check"
-
-build() {
- python3 setup.py build
-}
-
-check() {
- python3 setup.py test
-}
-
-package() {
- python3 setup.py install --prefix=/usr --root="$pkgdir"
-}
-
-sha512sums="aa94c55b6e3f12528377d3d77bba0803cab01d47cf18fb5a82afced6bdcd45144b97380be52c71fda7a96ea4eaa7eda27f4a072048065fb3834be81939c6b41c py3-qtpy-1.9.0.tar.gz"
diff --git a/testing/qmlrunner/APKBUILD b/testing/qmlrunner/APKBUILD
index 4519e12e03..d130d8f7a0 100644
--- a/testing/qmlrunner/APKBUILD
+++ b/testing/qmlrunner/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.0.1
pkgrel=0
pkgdesc="Runner for QML-only apps"
url="https://github.com/rinigus/qmlrunner"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-3.0-or-later"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/rinigus/qmlrunner/archive/$pkgver.tar.gz"
diff --git a/testing/qownnotes/APKBUILD b/testing/qownnotes/APKBUILD
index 4b5a06476a..7333fe7df4 100644
--- a/testing/qownnotes/APKBUILD
+++ b/testing/qownnotes/APKBUILD
@@ -5,12 +5,12 @@ pkgver=20.1.1
pkgrel=0
pkgdesc="Plain-text file markdown note taking with Nextcloud/ownCloud integration"
url="https://www.qownnotes.org/"
-arch="all !ppc64le !s390x"
+arch="all !ppc64le !s390x !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-2.0-only"
makedepends="qt5-qtdeclarative-dev qt5-qtsvg-dev qt5-qtxmlpatterns-dev
qt5-qttools-dev qt5-qtbase-dev qt5-qtwebsockets-dev botan-dev"
subpackages="$pkgname-lang"
-source="https://download.tuxfamily.org/qownnotes/src/qownnotes-${pkgver}.tar.xz"
+source="https://download.tuxfamily.org/qownnotes/src/qownnotes-$pkgver.tar.xz"
prepare() {
default_prepare
@@ -19,9 +19,9 @@ prepare() {
build() {
/usr/lib/qt5/bin/qmake \
- QMAKE_CFLAGS_RELEASE="${CFLAGS}" \
- QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}" \
- QMAKE_LFLAGS_RELEASE="${LDFLAGS}"
+ QMAKE_CFLAGS_RELEASE="$CFLAGS" \
+ QMAKE_CXXFLAGS_RELEASE="$CXXFLAGS" \
+ QMAKE_LFLAGS_RELEASE="$LDFLAGS"
make
}
@@ -30,17 +30,17 @@ check() {
}
package() {
- install -D -m755 QOwnNotes "${pkgdir}/usr/bin/QOwnNotes"
- install -D -m644 PBE.QOwnNotes.desktop "${pkgdir}/usr/share/applications/PBE.QOwnNotes.desktop"
- install -D -m644 "images/icons/128x128/apps/QOwnNotes.png" "${pkgdir}/usr/share/pixmaps/QOwnNotes.png"
+ install -D -m755 QOwnNotes "$pkgdir/usr/bin/QOwnNotes"
+ install -D -m644 PBE.QOwnNotes.desktop "$pkgdir/usr/share/applications/PBE.QOwnNotes.desktop"
+ install -D -m644 "images/icons/128x128/apps/QOwnNotes.png" "$pkgdir/usr/share/pixmaps/QOwnNotes.png"
for format in 16x16 24x24 32x32 48x48 64x64 96x96 128x128 256x256 512x512 ; do
- install -D -m644 "images/icons/${format}/apps/QOwnNotes.png" "${pkgdir}/usr/share/icons/hicolor/$format/apps/QOwnNotes.png"
+ install -D -m644 "images/icons/$format/apps/QOwnNotes.png" "$pkgdir/usr/share/icons/hicolor/$format/apps/QOwnNotes.png"
done
}
lang() {
- install -d "${subpkgdir}/usr/share/QOwnNotes/languages/"
- install -D -m644 ${builddir}/languages/*.qm "${subpkgdir}/usr/share/QOwnNotes/languages/"
+ install -d "$subpkgdir/usr/share/QOwnNotes/languages/"
+ install -D -m644 "$builddir/languages/*.qm" "$subpkgdir/usr/share/QOwnNotes/languages/"
}
sha512sums="c540ca18204968cef07d5150366c28c910ac03ba0311342e8741d8ff75c70187842a66321b083f0ccc5f68a40884a1a2b0d23241ae5103da4b4823a472ff1e68 qownnotes-20.1.1.tar.xz"
diff --git a/testing/qt-creator/APKBUILD b/testing/qt-creator/APKBUILD
index 794d9f3a52..3f7ef9621a 100644
--- a/testing/qt-creator/APKBUILD
+++ b/testing/qt-creator/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.11.0
pkgrel=0
pkgdesc="Lightweight and cross-platform IDE for Qt"
url="https://qt-project.org/wiki/Category:Tools::QtCreator"
-arch="all !ppc64le !s390x"
+arch="all !ppc64le !s390x !armhf" # armhf blocked by qt5-qtdeclarative
license="GPL-3.0-only WITH Qt-GPL-exception-1.0"
depends="
qt5-qtbase-sqlite
diff --git a/testing/qutebrowser/APKBUILD b/testing/qutebrowser/APKBUILD
index 7306257fd7..dd3d75bb6e 100644
--- a/testing/qutebrowser/APKBUILD
+++ b/testing/qutebrowser/APKBUILD
@@ -4,7 +4,7 @@ pkgver=1.8.3
pkgrel=0
pkgdesc="A keyboard-driven, vim-like browser based on PyQT5"
url="https://qutebrowser.org/"
-arch="noarch !s390x !ppc64le !x86" # limited by qt5-qtwebengine
+arch="noarch !s390x !ppc64le !armhf" # Blocked on s390x and ppc64le by qt5-qtwebengine, on armhf by py3-qt5 -> qt5-qtdeclarative-dev
license="GPL-3.0-only"
depends="
py3-attrs py3-jinja2 py3-pygments py3-pypeg2 py3-qt5 py3-yaml qt5-qtbase
diff --git a/testing/vidcutter/APKBUILD b/testing/vidcutter/APKBUILD
index a5950caac4..b3b6935ba9 100644
--- a/testing/vidcutter/APKBUILD
+++ b/testing/vidcutter/APKBUILD
@@ -5,12 +5,12 @@ pkgver=6.0.0
pkgrel=3
pkgdesc="A modern, simple to use, constantly evolving and hella fast MEDIA CUTTER"
url="https://vidcutter.ozmartians.com"
-arch="all"
+arch="all !armhf" # Blocked by py3-qt5 -> qt5-qtdeclarative
license="GPL-3.0-or-later"
depends="python3 ffmpeg mediainfo py3-qt5"
subpackages="$pkgname-doc"
makedepends="mpv-dev python3-dev py3-setuptools"
-source="$pkgname-$pkgver.tar.gz::https://github.com/ozmartian/$pkgname/archive/$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/ozmartian/vidcutter/archive/$pkgver.tar.gz"
build() {
python3 setup.py build
diff --git a/testing/yubikey-manager-qt/APKBUILD b/testing/yubikey-manager-qt/APKBUILD
index 66600a6613..4aa9ea589e 100644
--- a/testing/yubikey-manager-qt/APKBUILD
+++ b/testing/yubikey-manager-qt/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.1.3
pkgrel=0
pkgdesc="Cross-platform application for configuring any YubiKey over all USB transports"
url="https://developers.yubico.com/yubikey-manager-qt/"
-arch="all"
+arch="all !armhf" # armhf blocked by qt5-qtdeclarative
license="BSD-2-Clause"
depends="py3-ykman python3 py3-pyotherside qt5-qtquickcontrols
qt5-qtgraphicaleffects"